<script setup></script>

<template>
  <div class="hero__text">
    <p>
      Welcome to <strong>Planetarium</strong>, your one-stop destination for all things related to
      the planets of our solar system! Our website is designed to provide you with a simple yet
      immersive way to explore the planets using Three JS.
    </p>
    <p>
      Our website has been designed to be user-friendly and accessible to anyone, whether you're a
      professional astronomer or a casual stargazer. We believe that learning about our solar system
      should be fun, engaging, and interactive, and that's exactly what we offer at
      <strong>Planetarium</strong>.
    </p>
    <p>
      So what are you waiting for? Come join us on an unforgettable journey through the cosmos with
      <strong>Planetarium</strong> and experience the wonders of our solar system like never before!
    </p>
  </div>
</template>

<style scoped lang="scss">
.hero__text {
  max-width: 100%;
  display: flex;
  flex-direction: column;
  @include responsive-value(font-size, 2.2);
  padding-inline: 3rem;

  @include small-up {
    max-width: 80%;
    padding-inline: 5rem;
  }

  p {
    @include responsive-value(line-height, 3);
    @include responsive-value(margin-bottom, 6);
  }
}
</style>
